### Method

# GObject Object get_data

#### Declaration

    gpointer
    g_object_get_data (
      GObject* object,
      const gchar* key
    )

#### Description

Gets a named field from the objects table of associations (see g_object_set_data()).

#### Parameters

`key`

  Type: `const gchar*`

  Name of the key for that association.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `gpointer`

The data if found, or `NULL` if no such data exists.

The data is owned by the instance.
The return value can be `NULL`.